### Function

# Gcr trust_is_certificate_pinned_async

#### Declaration [src]

    void
    gcr_trust_is_certificate_pinned_async (
      GcrCertificate* certificate,
      const gchar* purpose,
      const gchar* peer,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Check if `certificate` is pinned for `purpose` to communicate with `peer`. A pinned certificate overrides all other certificate verification.

When the operation is finished, callback will be called. You can then call `gcr_trust_is_certificate_pinned_finish()` to get the result of the operation.

#### Parameters

`certificate` | `GcrCertificate`
| A `GcrCertificate` to check.
| The data is owned by the caller of the function.
`purpose` | `const gchar*`
| The purpose string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`peer` | `const gchar*`
| The peer for this pinned.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.